Package org.apache.solr.client.solrj.io.eval

## Interface TwoValueWorker

All Superinterfaces:
  `ValueWorker`

All Known Implementing Classes:
  `BetaDistributionEvaluator`, `BinomialDistributionEvaluator`, `ChebyshevDistanceEvaluator`, `ChiSquareDataSetEvaluator`, `ColumnAtEvaluator`, `ConvolutionEvaluator`, `CosineSimilarityEvaluator`, `CumulativeProbabilityEvaluator`, `DensityEvaluator`, `DivideEvaluator`, `DotProductEvaluator`, `EBEAddEvaluator`, `EBEDivideEvaluator`, `EBEMultiplyEvaluator`, `EBESubtractEvaluator`, `EuclideanDistanceEvaluator`, `FeatureSelectEvaluator`, `FindDelayEvaluator`, `FuzzyKmeansEvaluator`, `GammaDistributionEvaluator`, `GetAttributeEvaluator`, `GetClusterEvaluator`, `GetValueEvaluator`, `GTestDataSetEvaluator`, `IndexOfEvaluator`, `KmeansEvaluator`, `KolmogorovSmirnovEvaluator`, `LeftShiftEvaluator`, `LogNormalDistributionEvaluator`, `MatrixMultiplyEvaluator`, `MeanDifferenceEvaluator`, `ModuloEvaluator`, `MovingAverageEvaluator`, `MovingMADEvaluator`, `MovingMedianEvaluator`, `MultiVariateNormalDistributionEvaluator`, `NormalDistributionEvaluator`, `PairedTTestEvaluator`, `PairSortEvaluator`, `PercentileEvaluator`, `PowerEvaluator`, `PrecisionEvaluator`, `ProjectToBorderEvaluator`, `RegressionEvaluator`, `RepeatEvaluator`, `RightShiftEvaluator`, `RowAtEvaluator`, `ScalarAddEvaluator`, `ScalarDivideEvaluator`, `ScalarMultiplyEvaluator`, `ScalarSubtractEvaluator`, `ScaleEvaluator`, `SetColumnLabelsEvaluator`, `SetRowLabelsEvaluator`, `SplitEvaluator`, `SumDifferenceEvaluator`, `TopFeaturesEvaluator`, `TruncEvaluator`, `TTestEvaluator`, `UniformDistributionEvaluator`, `UniformIntegerDistributionEvaluator`, `WeibullDistributionEvaluator`, `ZipFDistributionEvaluator`

    public interface TwoValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Object` `doWork​(Object... values)`
`Object` `doWork​(Object value1, Object value2)`

### Method Detail

#### doWork

    Object doWork​(Object value1,
                  Object value2)
           throws IOException

Throws:
  `IOException`

#### doWork

    default Object doWork​(Object... values)
                   throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`